/*
        FILE :                  camera.h

        DESCRIPTION :           Header of camera routines

        AUTHOR :                Trax / Aspirine (c), 1999

        VERSION :               0.1b

*/

#ifndef _CAMERA_H_INCLUDED
#define _CAMERA_H_INCLUDED

//// INCLUDES /////////////////////////////////////////////////////////////////

#include "3dstruct.h"

//// PROTOTYPES ///////////////////////////////////////////////////////////////

void init_camera(CAMERA *camera, float PERSPECTIVE, float CENTER_X,
                 float CENTER_Y, float x_suhde, float y_suhde,
                 int screen_left, int screen_right,
                 int screen_up, int screen_down);

///////////////////////////////////////////////////////////////////////////////

void camera_update(CAMERA *camera, float xa, float ya, float za,
                   float s_rt, float s_dn, float s_fw);

///////////////////////////////////////////////////////////////////////////////

#endif
