/*
        FILE :                  light.h

        DESCRIPTION :           Definition of light routines

        AUTHOR :                Trax / Aspirine (c), 1999

        VERSION :               0.1b
*/

#ifndef _LIGHT_H_INCLUDED
#define _LIGHT_H_INCLUDED

//// INCLUDES /////////////////////////////////////////////////////////////////

#include "3dstruct.h"

//// PROTOTYPES ///////////////////////////////////////////////////////////////

/*inline*/ int light_intensity(VERTEX vertexnormal, LIGHT light, int scale);

///////////////////////////////////////////////////////////////////////////////

inline float get_flat_inten(POL_VERTEX v1, POL_VERTEX v2,
                            POL_VERTEX v3, LIGHT light);

///////////////////////////////////////////////////////////////////////////////

void light_set(LIGHT *light, float x, float y, float z);

///////////////////////////////////////////////////////////////////////////////

void light_update(LIGHT *light, float xa, float ya, float za);



#endif
